[Touch-packages] [Bug 1860461] Re: libgnutls30 3.6.11.1-2ubuntu2 (Ubuntu 20.04) breaks pulseui client with error "Error performing TLS handshake: The Diffie-Hellman prime sent by the server is not acc

2020-09-15 Thread Launchpad Bug Tracker
[Expired for gnome-online-accounts (Ubuntu) because there has been no activity for 60 days.] ** Changed in: gnome-online-accounts (Ubuntu) Status: Incomplete => Expired -- You received this bug notification because you are a member of Ubuntu Touch seeded packages, which is subscribed to

[Touch-packages] [Bug 1860461] Re: libgnutls30 3.6.11.1-2ubuntu2 (Ubuntu 20.04) breaks pulseui client with error "Error performing TLS handshake: The Diffie-Hellman prime sent by the server is not acc

2020-09-15 Thread Launchpad Bug Tracker
[Expired for evolution (Ubuntu) because there has been no activity for 60 days.] ** Changed in: evolution (Ubuntu) Status: Incomplete => Expired -- You received this bug notification because you are a member of Ubuntu Touch seeded packages, which is subscribed to gnome-online-accounts in

[Touch-packages] [Bug 1860461] Re: libgnutls30 3.6.11.1-2ubuntu2 (Ubuntu 20.04) breaks pulseui client with error "Error performing TLS handshake: The Diffie-Hellman prime sent by the server is not acc

2020-09-15 Thread Launchpad Bug Tracker
[Expired for gnutls28 (Ubuntu) because there has been no activity for 60 days.] ** Changed in: gnutls28 (Ubuntu) Status: Incomplete => Expired -- You received this bug notification because you are a member of Ubuntu Touch seeded packages, which is subscribed to gnome-online-accounts in

[Touch-packages] [Bug 1860461] Re: libgnutls30 3.6.11.1-2ubuntu2 (Ubuntu 20.04) breaks pulseui client with error "Error performing TLS handshake: The Diffie-Hellman prime sent by the server is not acc

2020-07-17 Thread Sebastien Bacher
The issue there seems to be with the servers not up to current standard and what gnutls enforce, is there anything that needs to be done from the online accounts or evolution? ** Changed in: gnome-online-accounts (Ubuntu) Importance: Undecided => Low ** Changed in: evolution (Ubuntu)

[Touch-packages] [Bug 1860461] Re: libgnutls30 3.6.11.1-2ubuntu2 (Ubuntu 20.04) breaks pulseui client with error "Error performing TLS handshake: The Diffie-Hellman prime sent by the server is not acc

2020-04-14 Thread Panos Asproulis
This worked for me! Thank you. -- You received this bug notification because you are a member of Ubuntu Touch seeded packages, which is subscribed to gnome-online-accounts in Ubuntu. https://bugs.launchpad.net/bugs/1860461 Title: libgnutls30 3.6.11.1-2ubuntu2 (Ubuntu 20.04) breaks pulseui

[Touch-packages] [Bug 1860461] Re: libgnutls30 3.6.11.1-2ubuntu2 (Ubuntu 20.04) breaks pulseui client with error "Error performing TLS handshake: The Diffie-Hellman prime sent by the server is not acc

2020-04-14 Thread Simon Déziel
Oops, it should have been LOW, not LEGACY. Here it is again to avoid any confusion: As a workaround, can you try lowering the profile from MEDIUM [1] to LOW [2]: sudo mkdir /etc/gnutls cat << EOF | sudo tee -a /etc/gnutls/config [overrides] default-priority-string =

[Touch-packages] [Bug 1860461] Re: libgnutls30 3.6.11.1-2ubuntu2 (Ubuntu 20.04) breaks pulseui client with error "Error performing TLS handshake: The Diffie-Hellman prime sent by the server is not acc

2020-04-14 Thread Simon Déziel
As a workaround, can you try lowering the profile from MEDIUM [1] to LEGACY: sudo mkdir /etc/gnutls cat << EOF | sudo tee -a /etc/gnutls/config [overrides] default-priority-string = NORMAL:-VERS-ALL:+VERS-TLS1.3:+VERS-TLS1.2:+VERS-DTLS1.2:%PROFILE_LEGACY EOF 1:

[Touch-packages] [Bug 1860461] Re: libgnutls30 3.6.11.1-2ubuntu2 (Ubuntu 20.04) breaks pulseui client with error "Error performing TLS handshake: The Diffie-Hellman prime sent by the server is not acc

2020-04-14 Thread Simon Déziel
** This bug is no longer a duplicate of bug 1872778 update-crypto-policies not affecting Gnome Online Accounts -- You received this bug notification because you are a member of Ubuntu Touch seeded packages, which is subscribed to gnome-online-accounts in Ubuntu.

[Touch-packages] [Bug 1860461] Re: libgnutls30 3.6.11.1-2ubuntu2 (Ubuntu 20.04) breaks pulseui client with error "Error performing TLS handshake: The Diffie-Hellman prime sent by the server is not acc

2020-04-14 Thread Steven Jay Cohen
*** This bug is a duplicate of bug 1872778 *** https://bugs.launchpad.net/bugs/1872778 ** This bug has been marked a duplicate of bug 1872778 update-crypto-policies not affecting Gnome Online Accounts -- You received this bug notification because you are a member of Ubuntu Touch seeded

[Touch-packages] [Bug 1860461] Re: libgnutls30 3.6.11.1-2ubuntu2 (Ubuntu 20.04) breaks pulseui client with error "Error performing TLS handshake: The Diffie-Hellman prime sent by the server is not acc

2020-04-14 Thread Steven Jay Cohen
Sorry for pushing on this yet again, but since using the LEGACY setting does not resolve the issue, could the real bug possibly be that Online Accounts are not respecting that setting (which would be a big deal)? -- You received this bug notification because you are a member of Ubuntu Touch

[Touch-packages] [Bug 1860461] Re: libgnutls30 3.6.11.1-2ubuntu2 (Ubuntu 20.04) breaks pulseui client with error "Error performing TLS handshake: The Diffie-Hellman prime sent by the server is not acc

2020-04-13 Thread Panos Asproulis
I have the same problem with my company's email which uses the Rackspace Outlook 2016 Exchange service. Rackspace told me that they cannot change the DH key to a value higher than 1024 bits (which I don't believe) and they suggested that instead the company upgrades to some Office 365 service

[Touch-packages] [Bug 1860461] Re: libgnutls30 3.6.11.1-2ubuntu2 (Ubuntu 20.04) breaks pulseui client with error "Error performing TLS handshake: The Diffie-Hellman prime sent by the server is not acc

2020-04-13 Thread Steven Jay Cohen
Thank you for the testing link. https://www.ssllabs.com/ssltest/analyze.html?d=shibboleth.nyu.edu=on This server supports weak Diffie-Hellman (DH) key exchange parameters. This server does not support Forward Secrecy with the reference browsers. This server supports TLS 1.0 and TLS 1.1. So, you

[Touch-packages] [Bug 1860461] Re: libgnutls30 3.6.11.1-2ubuntu2 (Ubuntu 20.04) breaks pulseui client with error "Error performing TLS handshake: The Diffie-Hellman prime sent by the server is not acc

2020-04-13 Thread Steven Jay Cohen
My University Account (NYU) uses Shibboleth. I was able to add that account to Online Accounts in 19.10 but it fails with this error in 20.04. Are you saying that the minimal level of crypto changed between 19.10 and 20.04? -- You received this bug notification because you are a member of

[Touch-packages] [Bug 1860461] Re: libgnutls30 3.6.11.1-2ubuntu2 (Ubuntu 20.04) breaks pulseui client with error "Error performing TLS handshake: The Diffie-Hellman prime sent by the server is not acc

2020-04-13 Thread Tom Reynolds
There is no easy way to gracefully handle weak crypto. It has been known for more than five years that 1024 bit (or rather <2048 bit) DH primes need to be considered weak and should not be used - https://weakdh.org/ - GnuTLS > 3.2 does the right thing in having services which still have not taken

[Touch-packages] [Bug 1860461] Re: libgnutls30 3.6.11.1-2ubuntu2 (Ubuntu 20.04) breaks pulseui client with error "Error performing TLS handshake: The Diffie-Hellman prime sent by the server is not acc

2020-04-13 Thread Launchpad Bug Tracker
Status changed to 'Confirmed' because the bug affects multiple users. ** Changed in: gnome-online-accounts (Ubuntu) Status: New => Confirmed -- You received this bug notification because you are a member of Ubuntu Touch seeded packages, which is subscribed to gnome-online-accounts in

[Touch-packages] [Bug 1860461] Re: libgnutls30 3.6.11.1-2ubuntu2 (Ubuntu 20.04) breaks pulseui client with error "Error performing TLS handshake: The Diffie-Hellman prime sent by the server is not acc

2020-04-13 Thread Launchpad Bug Tracker
Status changed to 'Confirmed' because the bug affects multiple users. ** Changed in: evolution (Ubuntu) Status: New => Confirmed -- You received this bug notification because you are a member of Ubuntu Touch seeded packages, which is subscribed to gnome-online-accounts in Ubuntu.

[Touch-packages] [Bug 1860461] Re: libgnutls30 3.6.11.1-2ubuntu2 (Ubuntu 20.04) breaks pulseui client with error "Error performing TLS handshake: The Diffie-Hellman prime sent by the server is not acc

2020-04-13 Thread Steven Jay Cohen
** Also affects: gnome-online-accounts (Ubuntu) Importance: Undecided Status: New ** Also affects: evolution (Ubuntu) Importance: Undecided Status: New -- You received this bug notification because you are a member of Ubuntu Touch seeded packages, which is subscribed to